# Function forDeployedArtifact

- forDeployedArtifact(artifact, settings): Promise<ContractInstanceEncoder>

- This function is asynchronous.

  Constructs a contract instance encoder for a deployed contract instance. You must pass in a provider or network ID to use this function.

  #### Parameters

  - ##### artifact: ContractObject

    The artifact corresponding to the type of the contract.

    A contract constructor object may be substituted for the artifact, so if you're not sure which you're dealing with, it's OK.

  - ##### settings: EncoderSettings

    The [[EncoderSettings]] to use, including the provider or network id; see the documentation for that type for more information.

  #### Returns Promise<ContractInstanceEncoder>

  - Defined in encoder/lib/index.ts:283

Generated using TypeDoc